Summary:     PAM module for LDAP
Name:        pam_ldap
Version:     176
Release:     2.pp
License:     LGPL
Group:       System Environment/Base
Source0:     ftp://ftp.padl.com/pub/%{name}-%{version}.tar.gz
URL:         http://www.padl.com/OSS/%{name}.html
Buildroot:   /var/tmp/%{name}-root
Vendor:      PADL Software
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc pam openssl db3
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openldap-devel cyrus-sasl-devel krb5-devel
BuildPrereq: openssl-devel pam-devel db3-devel perl
ExclusiveOS: linux


%description
Pam_ldap is a module for Linux-PAM that supports password
changes, V2/V3 clients, Netscapes SSL/OpenSSL, ypldapd,
Netscape Directory Server password policies, access autho-
rization, crypted hashes, etc.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--libdir=/lib           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--with-ldap-lib=openldap
# link statically
perl -pi -e "s,-lldap,-ldb-3.3 -lssl -lcrypto /usr/lib/libldap.a /usr/lib/liblber.a /usr/lib/libsasl.a,g; \
             s,-llber,/usr/kerberos/lib/libgssapi_krb5.a /usr/kerberos/lib/libkrb5.a /usr/kerberos/lib/libk5crypto.a /usr/kerberos/lib/libcom_err.a,g;" \
	Makefile
# Build
make


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/etc


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING* CVS* ChangeLog INSTALL NEWS README
%doc ldap.conf *.schema
%doc %dir pam.d
/lib/security/*


%changelog
* Sun Nov 28 2004 peter.pramberger@member.fsf.org
- created

